Public Class frmCarRental

    Private Sub btnCalculate_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnCalculate.Click

        Dim dtmDateRented As Date
        Dim dtmDateReturned As Date
        Dim intStartMiles As Integer
        Dim intEndMiles As Integer
        Dim intNbrOfDays As Integer
        Dim intNbrOfMiles As Integer
        Dim intDayTot As Integer
        Dim sngMileTot As Single
        Dim sngTotDue As Single

        If Not IsDate(txtDateRented.Text) Then
            MsgBox("Please enter a valid rented date.", _
                   MsgBoxStyle.Exclamation, _
                   "Date Rented")
            txtDateRented.Focus()
            Exit Sub
        End If

        If Not IsDate(txtDateReturned.Text) Then
            MsgBox("Please enter a valid return date.", _
                   MsgBoxStyle.Exclamation, _
                   "Date Returned")
            txtDateReturned.Focus()
            Exit Sub
        End If

        dtmDateRented = CDate(txtDateRented.Text)
        dtmDateReturned = CDate(txtDateReturned.Text)
        intNbrOfDays = DateDiff(DateInterval.Day, dtmDateRented, dtmDateReturned)
        intDayTot = intNbrOfDays * 35

        intStartMiles = Val(txtStartingMileage.Text)
        intEndMiles = Val(txtEndingMileage.Text)
        intNbrOfMiles = intEndMiles - intStartMiles
        sngMileTot = intNbrOfMiles * 0.1

        sngTotDue = intDayTot + sngMileTot

        lblDays.Text = CStr(intNbrOfDays)
        lblDayTot.Text = Format(intDayTot, "Currency")
        lblMiles.Text = CStr(intNbrOfMiles)
        lblMileTot.Text = Format(sngMileTot, "Currency")
        lblTotDue.Text = Format(sngTotDue, "Currency")

    End Sub

    Private Sub btnClear_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnClear.Click

        txtDateRented.Text = ""
        txtDateReturned.Text = ""
        txtStartingMileage.Text = ""
        txtEndingMileage.Text = ""
        lblDays.Text = ""
        lblDayTot.Text = ""
        lblMiles.Text = ""
        lblMileTot.Text = ""
        lblTotDue.Text = ""

        txtDateRented.Focus()

    End Sub

    Private Sub btnExit_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnExit.Click

        Me.Close()

    End Sub

    Private Sub txtDateRented_KeyPress(ByVal sender As System.Object, ByVal e As System.Windows.Forms.KeyPressEventArgs) Handles txtDateRented.KeyPress

        e.Handled = Not (Char.IsDigit(e.KeyChar) Or Asc(e.KeyChar) < 32 Or e.KeyChar = "/")

    End Sub

    Private Sub txtDateReturned_KeyPress(ByVal sender As System.Object, ByVal e As System.Windows.Forms.KeyPressEventArgs) Handles txtDateReturned.KeyPress

        e.Handled = Not (Char.IsDigit(e.KeyChar) Or Asc(e.KeyChar) < 32 Or e.KeyChar = "/")

    End Sub

    Private Sub txtStartingMileage_KeyPress(ByVal sender As System.Object, ByVal e As System.Windows.Forms.KeyPressEventArgs) Handles txtStartingMileage.KeyPress

        e.Handled = Not (Char.IsDigit(e.KeyChar) Or Asc(e.KeyChar) < 32)

    End Sub

    Private Sub txtEndingMileage_KeyPress(ByVal sender As System.Object, ByVal e As System.Windows.Forms.KeyPressEventArgs) Handles txtEndingMileage.KeyPress

        e.Handled = Not (Char.IsDigit(e.KeyChar) Or Asc(e.KeyChar) < 32)

    End Sub

    Private Sub txtDateRented_GotFocus(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles txtDateRented.GotFocus

        txtDateRented.SelectAll()

    End Sub

    Private Sub txtDateReturned_GotFocus(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles txtDateReturned.GotFocus

        txtDateReturned.SelectAll()

    End Sub

    Private Sub txtStartingMileage_GotFocus(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles txtStartingMileage.GotFocus

        txtStartingMileage.SelectAll()

    End Sub

    Private Sub txtEndingMileage_GotFocus(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles txtEndingMileage.GotFocus

        txtEndingMileage.SelectAll()

    End Sub

End Class
